package com.salpa.subject.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Builder;

import java.sql.Timestamp;
import java.time.LocalDateTime;

/**
 * 日志表 monitor_operation_log
 *
 * @author zhuff
 */
@Builder
public class MonitorOperationLog {

    /*id*/
    private Long id;

    /*用户id*/
    private Long operatorUserId;

    /*用户名*/
    private String operatorUsername;

    /*用户昵称*/
    private String operatorNickname;

    /*所属模块*/
    private String operationModule;

    /*方法名*/
    private String operationCode;

    /*日志名称*/
    private String operationName;

    /*结果*/
    private String operationResponse;

    /*操作是否成功*/
    private boolean success;

    /*涉及项目*/
    private Integer involvedProjectId;

    /*创建时间*/
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT +8")
    private LocalDateTime createAt;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOperatorUserId() {
        return operatorUserId;
    }

    public void setOperatorUserId(Long operatorUserId) {
        this.operatorUserId = operatorUserId;
    }

    public String getOperatorUsername() {
        return operatorUsername;
    }

    public void setOperatorUsername(String operatorUsername) {
        this.operatorUsername = operatorUsername;
    }

    public String getOperatorNickname() {
        return operatorNickname;
    }

    public void setOperatorNickname(String operatorNickname) {
        this.operatorNickname = operatorNickname;
    }

    public String getOperationModule() {
        return operationModule;
    }

    public void setOperationModule(String operationModule) {
        this.operationModule = operationModule;
    }

    public String getOperationCode() {
        return operationCode;
    }

    public void setOperationCode(String operationCode) {
        this.operationCode = operationCode;
    }

    public String getOperationName() {
        return operationName;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName;
    }

    public String getOperationResponse() {
        return operationResponse;
    }

    public void setOperationResponse(String operationResponse) {
        this.operationResponse = operationResponse;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public Integer getInvolvedProjectId() {
        return involvedProjectId;
    }

    public void setInvolvedProjectId(Integer involvedProjectId) {
        this.involvedProjectId = involvedProjectId;
    }

    public LocalDateTime getCreateAt() {
        return createAt;
    }

    public void setCreateAt(LocalDateTime createAt) {
        this.createAt = createAt;
    }
}
